## org.eclipse.emf.cdo.spi.server
Class StoreChunkReader

    java.lang.Object
      org.eclipse.emf.cdo.spi.server.StoreChunkReader

All Implemented Interfaces:
  IStoreChunkReader

    public abstract class StoreChunkReader

extends java.lang.Object
implements IStoreChunkReader

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreChunkReader
`IStoreChunkReader.Chunk`

Constructor Summary
`StoreChunkReader(IStoreAccessor accessor, CDORevision revision, org.eclipse.emf.ecore.EStructuralFeature feature)`

Method Summary
`void` `addRangedChunk(int fromIndex, int toIndex)`
`void` `addSimpleChunk(int index)`
`IStoreAccessor` `getAccessor()`
`java.util.List<IStoreChunkReader.Chunk>` `getChunks()`
`org.eclipse.emf.ecore.EStructuralFeature` `getFeature()`
`CDORevision` `getRevision()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.cdo.server.IStoreChunkReader
`executeRead`

Constructor Detail

### StoreChunkReader

    public StoreChunkReader(IStoreAccessor accessor,
                            CDORevision revision,
                            org.eclipse.emf.ecore.EStructuralFeature feature)

Method Detail

### getAccessor

    public IStoreAccessor getAccessor()

  Specified by:
    `getAccessor` in interface `IStoreChunkReader`

### getRevision

    public CDORevision getRevision()

  Specified by:
    `getRevision` in interface `IStoreChunkReader`

### getFeature

    public org.eclipse.emf.ecore.EStructuralFeature getFeature()

  Specified by:
    `getFeature` in interface `IStoreChunkReader`

### getChunks

    public java.util.List<IStoreChunkReader.Chunk> getChunks()

### addSimpleChunk

    public void addSimpleChunk(int index)

  Specified by:
    `addSimpleChunk` in interface `IStoreChunkReader`

### addRangedChunk

    public void addRangedChunk(int fromIndex,
                               int toIndex)

  Specified by:
    `addRangedChunk` in interface `IStoreChunkReader`
  Parameters:
    `fromIndex` - Inclusive value.
    `toIndex` - Exclusive value.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.